# HtmlAssembler Class Reference
[HTML parser]

List of all members.

## Public Member Functions

| __construct ($tags)
| getHtml ()

## Static Public Member Functions

static | makeTag (SgmlToken $tag)
static | makeDomNode (DOMNode $node)

## Static Private Member Functions

static | getAttributes (SgmlOpenTag $tag)
static | getDomAttributes (DOMNode $node)

## Private Attributes

| $tags = null

## Detailed Description

Definition at line 15 of file HtmlAssembler.class.php.

## Constructor & Destructor Documentation

HtmlAssembler::__construct | ( | $ | tags | ) |

Definition at line 19 of file HtmlAssembler.class.php.

References $tags, and Assert::isTrue().

Here is the call graph for this function:

## Member Function Documentation

static HtmlAssembler::getAttributes | ( | SgmlOpenTag $ | tag | ) | `[static, private]`

Definition at line 111 of file HtmlAssembler.class.php.

References SgmlOpenTag::getAttributesList().

Referenced by makeTag().

Here is the call graph for this function:

static HtmlAssembler::getDomAttributes | ( | DOMNode $ | node | ) | `[static, private]`

Definition at line 128 of file HtmlAssembler.class.php.

Referenced by makeDomNode().

HtmlAssembler::getHtml | ( |  | ) |

Definition at line 100 of file HtmlAssembler.class.php.

References makeTag().

Here is the call graph for this function:

static HtmlAssembler::makeDomNode | ( | DOMNode $ | node | ) | `[static]`

Definition at line 58 of file HtmlAssembler.class.php.

References getDomAttributes().

Here is the call graph for this function:

static HtmlAssembler::makeTag | ( | SgmlToken $ | tag | ) | `[static]`

Definition at line 26 of file HtmlAssembler.class.php.

References getAttributes(), and Assert::isNotNull().

Referenced by getHtml().

Here is the call graph for this function:

## Member Data Documentation

HtmlAssembler::$tags = null`[private]`

Definition at line 17 of file HtmlAssembler.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/Markup/Html/HtmlAssembler.class.php